ranges::v3::concepts::BidirectionalIncrementable Struct Reference
Inheritance diagram for ranges::v3::concepts::BidirectionalIncrementable:

## Public Member Functions

template<typename T >
auto | requires_ (T t) -> decltype(concepts::valid_expr(concepts::has_type< T &>(--t), concepts::has_type< T >(t--)))
Public Member Functions inherited from ranges::v3::concepts::refines< Incrementable >
void | requires_ ()

## Additional Inherited Members

Public Types inherited from ranges::v3::concepts::refines< Incrementable >
using | base_concepts_t = meta::list< Concepts... >